mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object Utility class to regroup the formatter, deformatter, digest (hash) and key algorithm used for generating (or verifying) a digital signature. To be added
- Constructor
  Construct an empty signature description.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'Security.SecurityElement'
  Construct an signature description from the specified XML data.
  Invalid data is rejected silently.
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricSignatureDeformatter `` To be added: an object of type 'AsymmetricAlgorithm' Return an AsymmetricDeformatter instance based on the DeformatterAlgorithm property. To be added: an object of type 'AsymmetricSignatureDeformatter' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.HashAlgorithm To be added To be added: an object of type 'HashAlgorithm' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricSignatureFormatter `` To be added: an object of type 'AsymmetricAlgorithm' Return an AsymmetricFormatter instance based on the FormatterAlgorithm property. To be added: an object of type 'AsymmetricSignatureFormatter' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String The class name used to verify the digital signature. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String The class name used to hash the data before generating or verifying the digital signature. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String The class name used to generate the digital signature. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String The class name representing the assymetric key algorithm used to generate or verify the digital signature. To be added. To be added. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)